/* 
 * This File is part of the iowj-project  
 * $Id: I2CDevice.java,v 1.2 2005/07/14 19:09:52 Thomas Wagner Exp $
 * Copyright (C)2005 by Thomas Wagner
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
package de.wagner_ibw.iow;

/**
 * Interface for all I2C devices.
 * @author Thomas Wagner
 */
public interface I2CDevice {

	String getName();
	int getI2cAddress();
	int getI2cClass();
	void reportReceived(int[] readBuffer); 
	void setIowDevice(IowInterface iow); 
}
